OpenJPEG: mhixbox_manager.c File Reference

OpenJPEG 2.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
mhixbox_manager.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "mhixbox_manager.h"`
`#include "opj_inttypes.h"`

## Macros
#define | FCGI_stdout stdout
#define | FCGI_stderr stderr
#define | logstream stderr

## Functions
mhixbox_param_t * | gene_mhixbox (box_param_t *box)
| generate mhix box More...
markeridx_param_t * | search_markeridx (Byte2_t code, mhixbox_param_t *mhix)
| search a marker index by marker code from mhix box More...
void | print_mhixbox (mhixbox_param_t *mhix)
| print mhix box parameters More...
void | print_markeridx (markeridx_param_t *markeridx)
| print marker index parameters More...
void | delete_mhixbox (mhixbox_param_t **mhix)
| delete mhix box More...

## Macro Definition Documentation

#define FCGI_stderr stderr

Referenced by search_markeridx().

#define FCGI_stdout stdout

#define logstream stderr

Referenced by print_markeridx(), and print_mhixbox().

## Function Documentation

void delete_mhixbox | ( | mhixbox_param_t ** | mhix | ) |

delete mhix box

Parameters

  [in,out] | mhix | address of the mhix box pointer

References markeridx_param::next.

Referenced by delete_index(), and set_mainmhixdata().

mhixbox_param_t* gene_mhixbox | ( | box_param_t * | box | ) |

generate mhix box

Parameters

  [in] | box | pointer to the reference mhix box

Returns
  generated mhixbox pointer

References markeridx_param::code, fetch_DBox2bytebigendian(), fetch_DBox8bytebigendian(), mhixbox_param::first, get_DBoxlen(), markeridx_param::length, markeridx_param::next, markeridx_param::num_remain, markeridx_param::offset, and mhixbox_param::tlen.

Referenced by set_mainmhixdata(), and set_thixdata().

void print_markeridx | ( | markeridx_param_t * | markeridx | ) |

print marker index parameters

Parameters

  [in] | markeridx | marker index pointer

References markeridx_param::code, markeridx_param::length, logstream, markeridx_param::num_remain, and markeridx_param::offset.

void print_mhixbox | ( | mhixbox_param_t * | mhix | ) |

print mhix box parameters

Parameters

  [in] | mhix | mhix box pointer

References markeridx_param::code, mhixbox_param::first, markeridx_param::length, logstream, markeridx_param::next, markeridx_param::num_remain, markeridx_param::offset, and mhixbox_param::tlen.

Referenced by print_index().

markeridx_param_t* search_markeridx | ( | Byte2_t | code,
|  | mhixbox_param_t * | mhix
| ) |  |

search a marker index by marker code from mhix box

Parameters

  [in] | code | marker code
  [in] | mhix | mhix box pointer

Returns
  found marker index pointer

References markeridx_param::code, FCGI_stderr, mhixbox_param::first, and markeridx_param::next.

Referenced by set_mainmhixdata().